<?php
declare(strict_types=1);

use Migrations\BaseMigration;

class CreateProductSkus extends BaseMigration
{
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/migrations/4/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void
    {
        $table = $this->table('product_skus', ['id' => false, 'primary_key' => ['id']]);
        $table->addColumn('id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('product_id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('sku', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => false,
        ]);
        $table->addColumn('barcode', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => true,
        ]);
        $table->addColumn('price', 'decimal', [
            'default' => null,
            'precision' => 15,
            'scale' => 6,
            'null' => true,
        ]);
        $table->addColumn('cost', 'decimal', [
            'default' => null,
            'precision' => 15,
            'scale' => 6,
            'null' => true,
        ]);
        $table->addColumn('created', 'datetime', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('modified', 'datetime', [
            'default' => null,
            'null' => true,
        ]);
        $table->addColumn('deleted', 'datetime', [
            'default' => null,
            'null' => true,
        ]);
        $table->create();
    }
}
