<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

class CreateProductCategoryVariants extends AbstractMigration
{
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void
    {
        $table = $this->table('product_category_variants', ['id' => false, 'primary_key' => ['id']]);
        $table->addColumn('id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('name', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => false,
        ]);
        $table->addColumn('product_category_id', 'uuid', [
            'default' => null,
            'null' => true,
        ]);
        $table->addColumn('product_id', 'uuid', [
            'default' => null,
            'null' => true,
        ]);
        $table->addColumn('enabled', 'boolean', [
            'default' => null,
            'null' => false,
        ]);
        $table->addIndex([
            'product_category_id',
            ], [
            'name' => 'VARIANTS_BY_PRODUCT_CATEGORY_ID',
            'unique' => false,
        ]);
        $table->addIndex([
            'product_id',
        ], [
            'name' => 'VARIANTS_BY_PRODUCT_ID',
            'unique' => false,
        ]);
        $table->addIndex([
            'name',
            'product_category_id',
            'product_id',
        ], [
            'name' => 'VARIANTS_BY_NAME_AND_PRODUCT_CATEGORY_ID_AND_PRODUCT_ID_UNIQUE',
            'unique' => true,
        ]);
        $table->create();
    }
}
