<?php
declare(strict_types=1);

namespace CakeProducts\Model\Entity;

use Cake\Datasource\EntityInterface;
use Cake\ORM\Entity;

/**
 * ProductCategoryVariant Entity
 *
 * @property string $id
 * @property string $name
 * @property string|null $product_category_id
 * @property string|null $product_id
 * @property bool $enabled
 *
 * @property ProductCategory|EntityInterface $product_category
 * @property Product|EntityInterface $product
 * @property ProductCategoryVariantOption[]|EntityInterface[] $product_category_variant_options
 */
class ProductCategoryVariant extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected array $_accessible = [
        'name' => true,
        'product_category_id' => true,
        'product_id' => true,
        'enabled' => true,

        // entities
        'product_category' => false,
        'product' => false,
        'product_category_variant_options' => true,
    ];
}
