<?php
declare(strict_types=1);

namespace CakeProducts\Model\Entity;

use Cake\ORM\Entity;

/**
 * ProductSkus Entity
 *
 * @property string $id
 * @property string $product_id
 * @property string $sku
 * @property string|null $barcode
 * @property string|null $price
 * @property string|null $cost
 * @property \Cake\I18n\DateTime $created
 * @property \Cake\I18n\DateTime|null $modified
 * @property \Cake\I18n\DateTime|null $deleted
 *
 * @property \App\Model\Entity\Product $product
 */
class ProductSku extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected array $_accessible = [
        'product_id' => true,
        'sku' => true,
        'barcode' => true,
        'price' => true,
        'cost' => true,
        'created' => true,
        'modified' => true,
        'deleted' => true,
        'product' => false,
    ];
}
