<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\Cake\Datasource\EntityInterface> $productSkus
 */
?>
<div class="productSkus index content">
    <?= $this->Html->link(__('New Product Skus'), ['action' => 'add'], ['class' => 'button float-right']) ?>
    <h3><?= __('Product Skus') ?></h3>
    <div class="table-responsive">
        <table>
            <thead>
                <tr>
                    <th><?= $this->Paginator->sort('id') ?></th>
                    <th><?= $this->Paginator->sort('product_id') ?></th>
                    <th><?= $this->Paginator->sort('sku') ?></th>
                    <th><?= $this->Paginator->sort('barcode') ?></th>
                    <th><?= $this->Paginator->sort('price') ?></th>
                    <th><?= $this->Paginator->sort('cost') ?></th>
                    <th><?= $this->Paginator->sort('created') ?></th>
                    <th><?= $this->Paginator->sort('modified') ?></th>
                    <th><?= $this->Paginator->sort('deleted') ?></th>
                    <th class="actions"><?= __('Actions') ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($productSkus as $productSku): ?>
                <tr>
                    <td><?= h($productSku->id) ?></td>
                    <td><?= h($productSku->product_id) ?></td>
                    <td><?= h($productSku->sku) ?></td>
                    <td><?= h($productSku->barcode) ?></td>
                    <td><?= $productSku->price === null ? '' : $this->Number->format($productSku->price) ?></td>
                    <td><?= $productSku->cost === null ? '' : $this->Number->format($productSku->cost) ?></td>
                    <td><?= h($productSku->created) ?></td>
                    <td><?= h($productSku->modified) ?></td>
                    <td><?= h($productSku->deleted) ?></td>
                    <td class="actions">
                        <?= $this->Html->link(__('View'), ['action' => 'view', $productSku->id]) ?>
                        <?= $this->Html->link(__('Edit'), ['action' => 'edit', $productSku->id]) ?>
                        <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $productSku->id], ['confirm' => __('Are you sure you want to delete # {0}?', $productSku->id)]) ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
    </div>
</div>
